/*!********************************************************************
 * The Initial Developer of the content of this file is NETCONOMY.
 * All portions of the code written by NETCONOMY are property of
 * NETCONOMY. All Rights Reserved.
 *
 * NETCONOMY Software & Consulting GmbH
 * Hilmgasse 4, A-8010 Graz (Austria)
 * FN 204360 f, Landesgericht fuer ZRS Graz
 * Tel: +43 (316) 815 544
 * Fax: +43 (316) 815544-99
 * www.netconomy.net
 *
 * (c) 2023 by NETCONOMY Software & Consulting GmbH
 ********************************************************************/
@use 'shop/resources/scss/base/constants/colors';
@use 'shop/resources/scss/base/mixins/typography';

.selectTrigger {
    @include typography.text(small);

    display: inline-flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 15px;
    width: 100%;
    height: 50px;
    cursor: pointer;
    border: 1px solid colors.$color-black;

    &:focus {
        box-shadow: 0 0 0 1px colors.$color-black;
    }
    &[data-placeholder] {
        color: colors.$color-black;
    }
    &[data-state='open'] {
        border-bottom: none;
    }
}

.selectContent {
    width: var(--radix-select-trigger-width);
    max-height: var(--radix-select-content-available-height);
    overflow: hidden;
    background-color: colors.$color-white;
    border: 1px solid colors.$color-black;
    border-top: none;
}

.selectScrollButton {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 25px;
    background-color: colors.$color-white;
    color: colors.$color-black;
    cursor: default;
}
